<mat-form-field appearance="fill" floatLabel="always" style="cursor: pointer">
  <mat-label>Imagen</mat-label>
  <div>
    <input
      class="extra-input"
      matInput
      [value]="
        imageToUpload && imageToUpload.file ? imageToUpload.file.name : ''
      "
    />

    <input
      (change)="selectFile($event)"
      type="file"
      id="fileInput"
      name="fileInput"
      accept="image/*"
      style="cursor: pointer"
    />
  </div>
  <img
    *ngIf="imageToUpload"
    src="{{ imageToUpload.imageUrl }}"
    alt="{{ imageToUpload.publicId }}"
    width="100%"
    height="auto"
  />
  <img
    (click)="removeImage()"
    *ngIf="imageToUpload.imageUrl"
    src="../../../../../assets/exit.svg"
    alt="exit button"
    class="exit"
  />
</mat-form-field>
